﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;

namespace ComboTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.StartPosition = FormStartPosition.CenterScreen;
            this.Text = "Custom Combo";
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            
        }

        private void ultraCombo1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns[0].Hidden = true;
        }

        private void ultraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].ColHeadersVisible = false;
            e.Layout.CaptionVisible = DefaultableBoolean.False;
            e.Layout.Override.RowSelectors = DefaultableBoolean.False;
        }

        private void ultraGrid1_ClickCell(object sender, ClickCellEventArgs e)
        {
            ultraTextEditor1.Text = ultraGrid1.ActiveRow.Cells[0].Text;
            ultraTextEditor1.CloseEditorButtonDropDowns();
        }

        private void ultraGrid1_KeyDown(object sender, KeyEventArgs e)
        {
            //Debug.WriteLine(e.KeyCode.ToString());
            if (e.KeyCode.ToString() == "Return")
            {
                ultraTextEditor1.Text = ultraGrid1.ActiveRow.Cells[0].Text;
                ultraTextEditor1.CloseEditorButtonDropDowns();
            }
        }
    }
}
